UncertainSchemaElementPair
Keywords: uk.ac.ic.doc.automed.matching.UncertainSchemaElementPair class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching
Class UncertainSchemaElementPair

    java.lang.Object
      uk.ac.ic.doc.automed.matching.SchemaElementPair
          uk.ac.ic.doc.automed.matching.UncertainSchemaElementPair

    public class UncertainSchemaElementPair

extends SchemaElementPair

The class representing a pair of schema elements and its uncertain semantic relationship. As in `SchemaElementPair` the index of the schema element matters.

See Also:
  `MassPotential`

Constructor Summary
`UncertainSchemaElementPair(SchemaElementPair pair, it.unibo.cs.belief.MassPotential mp)` Constructs a `UncertainSchemaElementPair` object.
`UncertainSchemaElementPair(SchemaElement first, SchemaElement second, it.unibo.cs.belief.MassPotential mp)` Constructs a `UncertainSchemaElementPair` object.

Method Summary
`it.unibo.cs.belief.MassPotential` | `getMassPotential()` Returns the mass potential of this pair.
`java.lang.String` | `toString()`

Methods inherited from class uk.ac.ic.doc.automed.matching.SchemaElementPair
`equals, getElement, getFirstElement, getSecondElement, hashCode, setFirstElement, setSecondElement`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UncertainSchemaElementPair

    public UncertainSchemaElementPair(SchemaElement first,
                                      SchemaElement second,
                                      it.unibo.cs.belief.MassPotential mp)

  Constructs a `UncertainSchemaElementPair` object.

  Parameters:
    `first` - the first element of the pair
    `second` - the second element of the pair
    `mp` - the mass potential of the pair, uncertain semantic relationship

### UncertainSchemaElementPair

    public UncertainSchemaElementPair(SchemaElementPair pair,
                                      it.unibo.cs.belief.MassPotential mp)

  Constructs a `UncertainSchemaElementPair` object.

  Parameters:
    `pair` - the schema element pair
    `mp` - the mass potential of the pair, uncertain semantic relationship

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SchemaElementPair`

### getMassPotential

    public it.unibo.cs.belief.MassPotential getMassPotential()

  Returns the mass potential of this pair.

  Returns:
    the mass potential of this pair.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD